classification
Title: PEP 3121, 384 Refactoring applied to _thread module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.10
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Py_Finalize() doesn't clear all Python objects at exit
View: 1635741
Assigned To: Nosy List: Robin.Schreiber, asvetlov, vstinner
Priority: normal Keywords: pep3121

Created on 2012-08-15 15:06 by Robin.Schreiber, last changed 2020-12-18 00:40 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
_thread_pep3121-384_v0.patch Robin.Schreiber, 2012-08-15 15:06
Messages (2)
msg168306 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-15 15:06
Changes proposed in PEP3121 and PEP384 have now been applied to the thread module!
msg383277 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-12-18 00:40
Fixed by:

New changeset 6104013838e181e3c698cb07316f449a0c31ea96 by Victor Stinner in branch 'master':
bpo-1635741: Port _thread to multiphase init (GH-23811)
https://github.com/python/cpython/commit/6104013838e181e3c698cb07316f449a0c31ea96
History
Date User Action Args
2020-12-18 00:40:14vstinnersetstatus: open -> closed

superseder: Py_Finalize() doesn't clear all Python objects at exit

nosy: + vstinner
messages: + msg383277
resolution: duplicate
stage: resolved
2020-12-01 16:39:36shihai1991setversions: + Python 3.10, - Python 3.4
2020-11-19 14:11:05vstinnersettitle: PEP 3121, 384 Refactoring applied to thread module -> PEP 3121, 384 Refactoring applied to _thread module
2012-11-08 13:34:47Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-27 03:42:36belopolskylinkissue15787 dependencies
2012-08-17 16:41:54asvetlovsetnosy: + asvetlov
2012-08-15 15:06:22Robin.Schreibercreate